# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /usr/portage.local/app-misc/xmuwin/xmuwin-1.2.1.ebuild,v 0.1 atzm Exp $

IUSE=""

DESCRIPTION="Desktop mascot currently called that like 'Mu-chan' for X"
SRC_URI="http://www.puni.ne.jp/~catus/files/${P}.tar.gz"
HOMEPAGE="http://www.puni.ne.jp/~catus/main.html"
LICENSE="GPL-2"
SLOT="0"

DEPEND="virtual/x11
	media-libs/xpm"

KEYWORDS="~x86 ~alpha ~sparc ~sparc64 ~ppc"
S="${WORKDIR}/${P}"

src_unpack(){
	unpack ${A}
	cd ${S}
	xmkmf || die
	mv Makefile Makefile.orig
	sed -e "s/\(all:: xmuwin.$(MANNEWSUFFIX)\)/#\1/" Makefile.orig > Makefile
}

src_compile(){
	emake || die
}

src_install(){
	emake DESTDIR=${D} install || die
	dodoc COPYING.jp GPL* HISTORY.jp README.jp
}
